[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.RegisterChanges

Registers a TChangeLink object for notifications when the image list is changed.

## Declaration

Source position: imglist.pp line 392

`public procedure TCustomImageList.RegisterChanges(`
`Value: TChangeLink`
`);`

## Arguments

`Value` |  | Reference to the ChangeLink object.

## Description

RegisterChanges is a procedure used to register the specified change link object to receive change notifications when the image list is changed.

Value contains a TChangeLink instance that represents the class subscribing to the event notifications. When AValue is assigned, but not yet stored in the internal change link list, the current class instance is assigned as the Sender for change notifications. Value is added to the internal list of subscribers.

No actions are performed when Value is unassigned (contains Nil) or when it has already been added to the internal list of subscribers.

Value, and other subscribers the internal list, receive change notifications when the Reference class for an image resolution is freed and when the private NotifyChangeLink method is called.

Use UnRegisterChanges to remove a TChangeLink instance from the internal list of subscribers.

NotifyChangeLink is called from the implementation of the Change method.

## See also

TCustomImageList.Change |  | Sends change notifications when the image list is updated.